Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.resource.spi.factories
Class AbstractManagedConnectionFactory

    java.lang.Object
      net.sf.dropboxmq.resource.spi.CommonBean
          net.sf.dropboxmq.resource.spi.factories.AbstractManagedConnectionFactory

All Implemented Interfaces:
  Serializable, ManagedConnectionFactory, ResourceAdapterAssociation

Direct Known Subclasses:
  ManagedConnectionFactoryImpl, QueueManagedConnectionFactoryImpl, TopicManagedConnectionFactoryImpl, XAManagedConnectionFactoryImpl, XAQueueManagedConnectionFactoryImpl, XATopicManagedConnectionFactoryImpl

    public abstract class AbstractManagedConnectionFactory

extends CommonBean
implements ManagedConnectionFactory, ResourceAdapterAssociation

Created: 13 Oct 2006

Version:
  $Revision: 226 $, $Date: 2011-03-05 20:51:47 -0700 (Sat, 05 Mar 2011) $
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractManagedConnectionFactory(Configuration configuration)`

Method Summary
`abstract ConnectionImpl` | `createConnection(ManagedConnectionImpl managedConnection, ConnectionRequestInfoImpl connectionRequestInfo)`
`Object` | `createConnectionFactory()`
`ManagedConnection` | `createManagedConnection(Subject subject, ConnectionRequestInfo connectionRequestInfo)`
`boolean` | `equals(Object obj)`
`Configuration` | `getConfigurationInstance()`
`PrintWriter` | `getLogWriter()`
`ResourceAdapter` | `getResourceAdapter()`
`int` | `hashCode()`
`ManagedConnection` | `matchManagedConnections(Set connectionSet, Subject subject, ConnectionRequestInfo connectionRequestInfo)`
`void` | `setLogWriter(PrintWriter out)`
`void` | `setResourceAdapter(ResourceAdapter resourceAdapter)`

Methods inherited from class net.sf.dropboxmq.resource.spi.CommonBean
`getClassLoadedProperties, getMessageTranscoderFactory, getPollingInterval, getProperty, getRedeliveryAttempts, getRoot, getTargetScanTimeout, isConsumeExpiredMessages, isDeleteCompleteTransactions, isDeleteExpiredMessages, isDeleteProcessedMessages, isPreserveDeletedDropboxes, setClassLoadedProperties, setConsumeExpiredMessages, setDeleteCompleteTransactions, setDeleteExpiredMessages, setDeleteProcessedMessages, setMessageTranscoderFactory, setPollingInterval, setPreserveDeletedDropboxes, setRedeliveryAttempts, setRoot, setTargetScanTimeout, toObjectString, validateCommon`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.resource.spi.ManagedConnectionFactory
`createConnectionFactory`

Constructor Detail

### AbstractManagedConnectionFactory

    protected AbstractManagedConnectionFactory(Configuration configuration)

Method Detail

### getConfigurationInstance

    public Configuration getConfigurationInstance()
                                           throws InvalidPropertyException

  Throws:
    `InvalidPropertyException`

### createConnectionFactory

    public Object createConnectionFactory()
                                   throws ResourceException

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### createManagedConnection

    public ManagedConnection createManagedConnection(Subject subject,
                                                     ConnectionRequestInfo connectionRequestInfo)
                                              throws ResourceException

  Specified by:
    `createManagedConnection` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### matchManagedConnections

    public ManagedConnection matchManagedConnections(Set connectionSet,
                                                     Subject subject,
                                                     ConnectionRequestInfo connectionRequestInfo)
                                              throws ResourceException

  Specified by:
    `matchManagedConnections` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws ResourceException

  Specified by:
    `setLogWriter` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### getLogWriter

    public PrintWriter getLogWriter()
                             throws ResourceException

  Specified by:
    `getLogWriter` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### getResourceAdapter

    public ResourceAdapter getResourceAdapter()

  Specified by:
    `getResourceAdapter` in interface `ResourceAdapterAssociation`

### setResourceAdapter

    public void setResourceAdapter(ResourceAdapter resourceAdapter)
                            throws ResourceException

  Specified by:
    `setResourceAdapter` in interface `ResourceAdapterAssociation`
  Throws:
    `ResourceException`

### createConnection

    public abstract ConnectionImpl createConnection(ManagedConnectionImpl managedConnection,
                                                    ConnectionRequestInfoImpl connectionRequestInfo)
                                             throws InvalidPropertyException

  Throws:
    `InvalidPropertyException`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `ManagedConnectionFactory`
  Overrides:
    `equals` in class `CommonBean`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `ManagedConnectionFactory`
  Overrides:
    `hashCode` in class `CommonBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD